/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal;

import org.fortiss.tooling.kernel.ui.service.IActionService;
import org.fortiss.tooling.kernel.ui.service.IAllocationEditPartFactoryService;
import org.fortiss.tooling.kernel.ui.service.IConstraintVerificationUIService;
import org.fortiss.tooling.kernel.ui.service.IContextMenuService;
import org.fortiss.tooling.kernel.ui.service.IEditPartFactoryService;
import org.fortiss.tooling.kernel.ui.service.IMarkerService;
import org.fortiss.tooling.kernel.ui.service.IModelEditorBindingService;
import org.fortiss.tooling.kernel.ui.service.IModelElementHandlerService;
import org.fortiss.tooling.kernel.ui.service.INavigatorService;
import org.fortiss.tooling.kernel.ui.service.ITutorialUIService;

/**
 * Implementations for initializing and starting the UI part of the tooling kernel.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public final class ToolingKernelUIInternal {

	/** Initializes the UI services. */
	public static void initializeKernelUI() {
		System.out.println("Tooling Kernel UI initializing ...");
		((ActionService)IActionService.INSTANCE).initializeService();
		((AllocationEditPartFactoryService)IAllocationEditPartFactoryService.INSTANCE)
				.initializeService();
		((ConstraintVerificationUIService)IConstraintVerificationUIService.INSTANCE)
				.initializeService();
		((ContextMenuService)IContextMenuService.INSTANCE).initializeService();
		((EditPartFactoryService)IEditPartFactoryService.INSTANCE).initializeService();
		((MarkerService)IMarkerService.INSTANCE).initializeService();
		((ModelEditorBindingService)IModelEditorBindingService.INSTANCE).initializeService();
		((ModelElementHandlerService)IModelElementHandlerService.INSTANCE).initializeService();
		((NavigatorService)INavigatorService.INSTANCE).initializeService();
		((TutorialUIService)ITutorialUIService.INSTANCE).initializeService();
		System.out.println("Tooling Kernel UI initialized.");
	}

	/** Starts the UI services. */
	public static void startKernelUI() {
		System.out.println("Tooling Kernel UI starting ...");
		((ActionService)IActionService.INSTANCE).startService();
		((AllocationEditPartFactoryService)IAllocationEditPartFactoryService.INSTANCE)
				.startService();
		((ConstraintVerificationUIService)IConstraintVerificationUIService.INSTANCE).startService();
		((ContextMenuService)IContextMenuService.INSTANCE).startService();
		((EditPartFactoryService)IEditPartFactoryService.INSTANCE).startService();
		((MarkerService)IMarkerService.INSTANCE).startService();
		((ModelEditorBindingService)IModelEditorBindingService.INSTANCE).startService();
		((ModelElementHandlerService)IModelElementHandlerService.INSTANCE).startService();
		((NavigatorService)INavigatorService.INSTANCE).startService();
		((TutorialUIService)ITutorialUIService.INSTANCE).startService();
		System.out.println("Tooling Kernel UI started.");
	}
}
